Page MenuHomePhabricator

[Power9][NFC] add back-end test case for passing homogeneous fp128 aggregates by value
ClosedPublic

Authored by lei on Jun 18 2018, 8:39 PM.

Details

Diff Detail

Event Timeline

lei created this revision.Jun 18 2018, 8:39 PM
lei retitled this revision from [POWER9][NFC] add back-end test case for passing homogeneous fp128 aggregates by value to [Power9][NFC] add back-end test case for passing homogeneous fp128 aggregates by value.Jun 19 2018, 6:07 AM
nemanjai accepted this revision.Jul 3 2018, 11:58 AM

Other than a request for comment, LGTM.

test/CodeGen/PowerPC/f128-aggregates.ll
75

I don't actually understand this test. Why are all the GPR's being spilled to the stack. Please add a comment explaining it on the commit.

This revision is now accepted and ready to land.Jul 3 2018, 11:58 AM
This revision was automatically updated to reflect the committed changes.